diff --git a/doc/dts_gsg/rel_notes/release_22_04.rst b/doc/dts_gsg/rel_notes/release_22_04.rst
new file mode 100644
index 00000000..eba0bb46
--- /dev/null
+++ b/doc/dts_gsg/rel_notes/release_22_04.rst
@@ -0,0 +1,27 @@
+.. SPDX-License-Identifier: BSD-3-Clause
+   Copyright 2022 The DTS contributors
+
+DTS Release 22.04
+=================
+
+New Features
+------------
+
+Removed Items
+-------------
+
+**Removed Makefile Builds.**
+
+Support for makefile builds has been removed.
+
+
+Deprecation Notices
+-------------------
+
+**Unit Testing**
+
+Support for running unit tests through DTS is now
+deprecated and will be removed in the next release.
+The meson build system was judged to provide a sufficient
+test harness for all presented usecases.
+
diff --git a/tests/TestSuite_unit_tests_cmdline.py b/tests/TestSuite_unit_tests_cmdline.py
index de41f1da..a1ff4d3d 100644
--- a/tests/TestSuite_unit_tests_cmdline.py
+++ b/tests/TestSuite_unit_tests_cmdline.py
@@ -59,6 +59,7 @@ class TestUnitTestsCmdline(TestCase):
         """
         # icc compilation cost long long time.
         self.cores = self.dut.get_core_list("all")
+        self.logger.warning(f"Test Suite {self.__name__} is deprecated and will be removed in the next release")
 
     def set_up(self):
         """
diff --git a/tests/TestSuite_unit_tests_crc.py b/tests/TestSuite_unit_tests_crc.py
index d82c02d6..b3ba6af2 100644
--- a/tests/TestSuite_unit_tests_crc.py
+++ b/tests/TestSuite_unit_tests_crc.py
@@ -57,6 +57,7 @@ class TestUnitTestsCrc(TestCase):
         Run at the start of each test suite.
         """
         self.cores = self.dut.get_core_list("all")
+        self.logger.warning(f"Test Suite {self.__name__} is deprecated and will be removed in the next release")
 
     def set_up(self):
         """
diff --git a/tests/TestSuite_unit_tests_cryptodev_func.py b/tests/TestSuite_unit_tests_cryptodev_func.py
index f0d1c371..7290c9ef 100644
--- a/tests/TestSuite_unit_tests_cryptodev_func.py
+++ b/tests/TestSuite_unit_tests_cryptodev_func.py
@@ -40,6 +40,7 @@ class UnitTestsCryptodev(TestCase):
     def set_up_all(self):
         self._app_path = self.dut.apps_name["test"]
         cc.bind_qat_device(self, "vfio-pci")
+        self.logger.warning(f"Test Suite {self.__name__} is deprecated and will be removed in the next release")
 
     def set_up(self):
         pass
diff --git a/tests/TestSuite_unit_tests_dump.py b/tests/TestSuite_unit_tests_dump.py
index c80406f1..bebb92de 100644
--- a/tests/TestSuite_unit_tests_dump.py
+++ b/tests/TestSuite_unit_tests_dump.py
@@ -66,6 +66,7 @@ class TestUnitTestsDump(TestCase):
         self.verify(len(self.dut_ports) >= 1, "Insufficient ports for testing")
         self.start_test_time = 60
         self.run_cmd_time = 60
+        self.logger.warning(f"Test Suite {self.__name__} is deprecated and will be removed in the next release")
 
     def set_up(self):
         """
diff --git a/tests/TestSuite_unit_tests_eal.py b/tests/TestSuite_unit_tests_eal.py
index e48b012b..9c775535 100644
--- a/tests/TestSuite_unit_tests_eal.py
+++ b/tests/TestSuite_unit_tests_eal.py
@@ -65,6 +65,7 @@ class TestUnitTestsEal(TestCase):
         eal_params = self.dut.create_eal_parameters(cores=default_cores)
         app_name = self.dut.apps_name["test"]
         self.test_app_cmdline = app_name + eal_params
+        self.logger.warning(f"Test Suite {self.__name__} is deprecated and will be removed in the next release")
 
     def set_up(self):
         """
diff --git a/tests/TestSuite_unit_tests_event_timer.py b/tests/TestSuite_unit_tests_event_timer.py
index 32ed2446..c1498082 100644
--- a/tests/TestSuite_unit_tests_event_timer.py
+++ b/tests/TestSuite_unit_tests_event_timer.py
@@ -66,6 +66,8 @@ class TestUnitTestEventTimer(TestCase):
             self.eventdev_timer_device_bus_id = "0000:0a:01.0"
             self.dut.bind_eventdev_port(port_to_bind=self.eventdev_timer_device_bus_id)
 
+        self.logger.warning(f"Test Suite {self.__name__} is deprecated and will be removed in the next release")
+
     def set_up(self):
         """
         Run before each test case.
diff --git a/tests/TestSuite_unit_tests_kni.py b/tests/TestSuite_unit_tests_kni.py
index 387a1b3e..c076ac26 100644
--- a/tests/TestSuite_unit_tests_kni.py
+++ b/tests/TestSuite_unit_tests_kni.py
@@ -64,6 +64,8 @@ class TestUnitTestsKni(TestCase):
 
         self.verify("Error" not in out, "Error loading KNI module: " + out)
 
+        self.logger.warning(f"Test Suite {self.__name__} is deprecated and will be removed in the next release")
+
     #
     #
     #
diff --git a/tests/TestSuite_unit_tests_loopback.py b/tests/TestSuite_unit_tests_loopback.py
index 72936022..8ced8979 100644
--- a/tests/TestSuite_unit_tests_loopback.py
+++ b/tests/TestSuite_unit_tests_loopback.py
@@ -82,6 +82,7 @@ class TestUnitTestsLoopback(TestCase):
         self.tmp_path = "/tmp/test_pmd_perf.c"
         self.dut.send_expect("rm -fr %s" % self.tmp_path, "# ")
         self.dut.send_expect("cp app/test/test_pmd_perf.c %s" % self.tmp_path, "# ")
+        self.logger.warning(f"Test Suite {self.__name__} is deprecated and will be removed in the next release")
 
     def set_up(self):
         """
diff --git a/tests/TestSuite_unit_tests_lpm.py b/tests/TestSuite_unit_tests_lpm.py
index b56938ec..bc8b85ac 100644
--- a/tests/TestSuite_unit_tests_lpm.py
+++ b/tests/TestSuite_unit_tests_lpm.py
@@ -61,6 +61,7 @@ class TestUnitTestsLpmIpv6(TestCase):
         Qos Prerequisites
         """
         self.cores = self.dut.get_core_list("all")
+        self.logger.warning(f"Test Suite {self.__name__} is deprecated and will be removed in the next release")
 
     def set_up(self):
         """
diff --git a/tests/TestSuite_unit_tests_mbuf.py b/tests/TestSuite_unit_tests_mbuf.py
index 6d4a4d2e..938dafca 100644
--- a/tests/TestSuite_unit_tests_mbuf.py
+++ b/tests/TestSuite_unit_tests_mbuf.py
@@ -58,6 +58,7 @@ class TestUnitTestsMbuf(TestCase):
         Run at the start of each test suite.
         """
         self.cores = self.dut.get_core_list("all")
+        self.logger.warning(f"Test Suite {self.__name__} is deprecated and will be removed in the next release")
 
     def set_up(self):
         """
diff --git a/tests/TestSuite_unit_tests_mempool.py b/tests/TestSuite_unit_tests_mempool.py
index 7efab59a..90f381a8 100644
--- a/tests/TestSuite_unit_tests_mempool.py
+++ b/tests/TestSuite_unit_tests_mempool.py
@@ -58,6 +58,7 @@ class TestUnitTestsMempool(TestCase):
         Run at the start of each test suite.
         """
         self.cores = self.dut.get_core_list("all")
+        self.logger.warning(f"Test Suite {self.__name__} is deprecated and will be removed in the next release")
 
     def set_up(self):
         """
diff --git a/tests/TestSuite_unit_tests_pmd_perf.py b/tests/TestSuite_unit_tests_pmd_perf.py
index 7843e711..2cb57131 100644
--- a/tests/TestSuite_unit_tests_pmd_perf.py
+++ b/tests/TestSuite_unit_tests_pmd_perf.py
@@ -71,6 +71,7 @@ class TestUnitTestsPmdPerf(TestCase):
         self.anchors = ["rxtx", "rxonly", "txonly"]
         socket_id = self.dut.ports_info[0]["port"].socket
         self.cores = self.dut.get_core_list(config="1S/4C/1T", socket=socket_id)
+        self.logger.warning(f"Test Suite {self.__name__} is deprecated and will be removed in the next release")
 
     def set_up(self):
         """
diff --git a/tests/TestSuite_unit_tests_power.py b/tests/TestSuite_unit_tests_power.py
index 9de08099..ebe4b7c1 100644
--- a/tests/TestSuite_unit_tests_power.py
+++ b/tests/TestSuite_unit_tests_power.py
@@ -59,6 +59,7 @@ class TestUnitTestsPower(TestCase):
         Power Prerequisites
         """
         self.cores = self.dut.get_core_list("all")
+        self.logger.warning(f"Test Suite {self.__name__} is deprecated and will be removed in the next release")
 
     def set_up(self):
         """
diff --git a/tests/TestSuite_unit_tests_qos.py b/tests/TestSuite_unit_tests_qos.py
index e335067f..57e8b076 100644
--- a/tests/TestSuite_unit_tests_qos.py
+++ b/tests/TestSuite_unit_tests_qos.py
@@ -60,6 +60,7 @@ class TestUnitTestsQos(TestCase):
         QoS Prerequisites
         """
         self.cores = self.dut.get_core_list("all")
+        self.logger.warning(f"Test Suite {self.__name__} is deprecated and will be removed in the next release")
 
     def set_up(self):
         """
diff --git a/tests/TestSuite_unit_tests_ring.py b/tests/TestSuite_unit_tests_ring.py
index ef457fbb..9f448081 100644
--- a/tests/TestSuite_unit_tests_ring.py
+++ b/tests/TestSuite_unit_tests_ring.py
@@ -58,6 +58,7 @@ class TestUnitTestsRing(TestCase):
         Run at the start of each test suite.
         """
         self.cores = self.dut.get_core_list("all")
+        self.logger.warning(f"Test Suite {self.__name__} is deprecated and will be removed in the next release")
 
     def set_up(self):
         """
diff --git a/tests/TestSuite_unit_tests_ringpmd.py b/tests/TestSuite_unit_tests_ringpmd.py
index 15131da3..7247d826 100644
--- a/tests/TestSuite_unit_tests_ringpmd.py
+++ b/tests/TestSuite_unit_tests_ringpmd.py
@@ -59,6 +59,7 @@ class TestUnitTestsRingPmd(TestCase):
         Nothing to do here.
         """
         self.cores = self.dut.get_core_list("all")
+        self.logger.warning(f"Test Suite {self.__name__} is deprecated and will be removed in the next release")
 
     def set_up(self):
         """
diff --git a/tests/TestSuite_unit_tests_timer.py b/tests/TestSuite_unit_tests_timer.py
index 708341eb..3a8d12d2 100644
--- a/tests/TestSuite_unit_tests_timer.py
+++ b/tests/TestSuite_unit_tests_timer.py
@@ -65,6 +65,7 @@ class TestUnitTestsTimer(TestCase):
         self.this_timeout = 60
         if len(self.cores) > 16:
             self.this_timeout = self.this_timeout * len(self.cores) / 16
+        self.logger.warning(f"Test Suite {self.__name__} is deprecated and will be removed in the next release")
 
     def set_up(self):
         """