diff --git a/doc/dts_gsg/quick_start.rst b/doc/dts_gsg/quick_start.rst
index cedb676d..4a30f360 100644
--- a/doc/dts_gsg/quick_start.rst
+++ b/doc/dts_gsg/quick_start.rst
@@ -246,7 +246,7 @@ As we have prepared the zipped dpdk file and configuration file, just type the f
              dut.192.168.1.1: CC=gcc meson -Denable_kmods=True -Dlibdir=lib  --default-library=static x86_64-native-linuxapp-gcc
              ...
              dut.192.168.1.1: usertools/dpdk-devbind.py --force --bind=vfio-pci 0000:af:00.0 0000:af:00.1
-                        dts: NIC :        fortville_25g
+                        dts: NIC :        I40E_25G-25G_SFP28
              dut.192.168.1.1: meson configure -Dexamples=helloworld x86_64-native-linuxapp-gcc
              dut.192.168.1.1: ninja -C x86_64-native-linuxapp-gcc
              dut.192.168.1.1: ls x86_64-native-linuxapp-gcc/examples/dpdk-helloworld
@@ -295,7 +295,7 @@ The result files are generated in dts/output.
                 "driver": "vfio-pci",
                 "firmware": "8.00 0x80008c1a 1.2766.0",
                 "kdriver": "i40e-2.13.10",
-                "name": "fortville_25g"
+                "name": "I40E_25G-25G_SFP28"
             },
             "x86_64-native-linuxapp-gcc": {
                 "hello_world/test_hello_world_all_core": "passed"
diff --git a/doc/dts_gsg/usr_guide/intro.rst b/doc/dts_gsg/usr_guide/intro.rst
index dc4c0bfa..ce0a7dfd 100644
--- a/doc/dts_gsg/usr_guide/intro.rst
+++ b/doc/dts_gsg/usr_guide/intro.rst
@@ -84,7 +84,7 @@ Please see test cases, which are included in the DPDK compliance test suites:
     +---------------------+----------------------------------------------------------------------------------------------------------------------------+
     | jumbo_frame         | Tests jumbo frames features by Poll Mode Drivers                                                                           |
     +---------------------+----------------------------------------------------------------------------------------------------------------------------+
-    | testpmd             | Provides benchmark tests for the Intel Ethernet Controller (Niantic) Poll Mode Driver.                                     |
+    | testpmd             | Provides benchmark tests for the Intel Ethernet Controller (82599) Poll Mode Driver.                                       |
     +---------------------+----------------------------------------------------------------------------------------------------------------------------+
     | L3fwd               | Verifies Layer-3 Forwarding results using ``l3fwd`` application.                                                           |
     +---------------------+----------------------------------------------------------------------------------------------------------------------------+
diff --git a/doc/dts_gsg/usr_guide/ixia.rst b/doc/dts_gsg/usr_guide/ixia.rst
index bd665652..5bea0039 100644
--- a/doc/dts_gsg/usr_guide/ixia.rst
+++ b/doc/dts_gsg/usr_guide/ixia.rst
@@ -100,7 +100,7 @@ You can set the test parameters according to your test needs.
    test_duration = 60
    accepted_tolerance = 1
    expected_throughput = {
-        'fortville_spirit': {
+        'I40E_40G-QSFP_A': {
             '1C/1T': {64: {512: 0.00, 2048: 0.00}},
             '1C/2T': {64: {512: 0.00, 2048: 0.00}}}}
 
@@ -215,7 +215,7 @@ After the Test Suite finished the validation, we can find the result files as be
 
 .. code-block:: console
 
-   fortville_25g_single_core_perf.json  dts.log  TestNicSingleCorePerf.log test_results.json
+   I40E_25G-25G_SFP28_single_core_perf.json  dts.log  TestNicSingleCorePerf.log test_results.json
 
 The performance case will save the data results in the jison file.
 And the pattern is "nic name + suite name.json".
@@ -223,7 +223,7 @@ Below is the json file of nic_single_core:
 
 .. code-block:: console
 
-      vim fortville_25g_single_core_perf.json
+      vim I40E_25G-25G_SFP28_single_core_perf.json
 
       {"test_perf_nic_single_core": [{
                 "performance": [{"name": "Throughput", "value": 69.505, "unit": "Mpps", "delta": 69.505}],
diff --git a/doc/dts_gsg/usr_guide/results.rst b/doc/dts_gsg/usr_guide/results.rst
index 3ec08d86..244b579e 100644
--- a/doc/dts_gsg/usr_guide/results.rst
+++ b/doc/dts_gsg/usr_guide/results.rst
@@ -51,7 +51,7 @@ Both of them contain case names and results, also the failure reasons.
                 "driver": "vfio-pci",
                 "firmware": "8.00 0x80008c1a 1.2766.0",
                 "kdriver": "i40e-2.13.10",
-                "name": "fortville_25g"
+                "name": "I40E_25G-25G_SFP28"
             },
             "x86_64-native-linuxapp-gcc": {
                 "hello_world/test_hello_world_all_core": "passed"
@@ -76,7 +76,7 @@ Please see example for TestHelloWorld suite log as the following. This log file
 
    31/12/2020 11:04:00                 INFO:
    TEST SUITE : TestHelloWorld
-   31/12/2020 11:04:00                 INFO: NIC :       fortville_25g
+   31/12/2020 11:04:00                 INFO: NIC :       I40E_25G-25G_SFP28
    31/12/2020 11:04:00        SUITE_DUT_CMD: meson configure -Dexamples=helloworld x86_64-native-linuxapp-gcc
    31/12/2020 11:04:01        SUITE_DUT_CMD: ninja -C x86_64-native-linuxapp-gcc
    31/12/2020 11:04:07     SUITE_DUT_OUTPUT: ninja: Entering directory `x86_64-native-linuxapp-gcc'^M
diff --git a/doc/dts_gsg/usr_guide/trex.rst b/doc/dts_gsg/usr_guide/trex.rst
index 8dfa66bd..738ea5e4 100644
--- a/doc/dts_gsg/usr_guide/trex.rst
+++ b/doc/dts_gsg/usr_guide/trex.rst
@@ -310,11 +310,11 @@ failed for hugepage error.
          EAL: Error - exiting with code: 1
            Cause: Invalid EAL arguments
 
-trex quit when using Niantic
-~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+trex quit when using 82599
+~~~~~~~~~~~~~~~~~~~~~~~~~~
 
-when bind dut NNT port to igb_uio, peer port will get a link down status, then
-trex server using NNT nic will quit.
+when bind dut 82599/500 Series port to igb_uio, peer port will get a link down status, then
+trex server using 82599/500 Series nic will quit.
 
 .. code-block:: console
 
diff --git a/doc/dts_gsg/usr_guide/usage.rst b/doc/dts_gsg/usr_guide/usage.rst
index ba714703..e59d1544 100644
--- a/doc/dts_gsg/usr_guide/usage.rst
+++ b/doc/dts_gsg/usr_guide/usage.rst
@@ -32,7 +32,7 @@ First of all, you must configure execution.cfg as below:
 
   * nic_type: it is the type of the NIC to use. The types are defined in the file settings.py.
     There's a special type named as **cfg**, which mean network information will be loaded from file $DTS_CFG_FOLDER/ports.cfg.
-    If use NIC type such as niantic, fortville_25g, it requires all DUT are the same types and no any same devices connected to Tester,
+    If use NIC type such as 82599, Intel® Ethernet Network Adapter XXV710-DA2 , it requires all DUT are the same types and no any same devices connected to Tester,
     as DTS will test all devices connected to Tester. Therefore, recommend using **cfg**.
   * func=true: run only functional test.
   * perf=true: run only performance test.