diff --git a/doc/dts_gsg/rel_notes/release_22_03.rst b/doc/dts_gsg/rel_notes/release_22_03.rst
new file mode 100644
index 00000000..c1b87be5
--- /dev/null
+++ b/doc/dts_gsg/rel_notes/release_22_03.rst
@@ -0,0 +1,38 @@
+.. SPDX-License-Identifier: BSD-3-Clause
+   Copyright 2022 The DTS contributors
+
+DTS Release 22.03
+=================
+
+New Features
+------------
+
+* **Add new test plans.**
+
+* **Add new test suites.**
+
+
+Removed Items
+-------------
+
+* **Remove test plans.**
+
+* **Remove test suites.**
+
+
+Removed Items
+-------------
+
+**Removed Makefile Builds.**
+
+Support for makefile builds has been removed.
+
+
+Deprecation Notices
+-------------------
+
+**Unit Testing**
+
+DPDK provide 2 ways to run unit test, one is `dpdk-test` app, the other is `meson test` command.
+Support for running unit tests through `dpdk-test` app is now deprecated and will be removed in the next release.
+Instead `meson test` command will be executed.
diff --git a/tests/TestSuite_unit_tests_cmdline.py b/tests/TestSuite_unit_tests_cmdline.py
index de78ca6d..2ae6e8c1 100644
--- a/tests/TestSuite_unit_tests_cmdline.py
+++ b/tests/TestSuite_unit_tests_cmdline.py
@@ -32,6 +32,9 @@ class TestUnitTestsCmdline(TestCase):
         """
         # icc compilation cost long long time.
         self.cores = self.dut.get_core_list("all")
+        self.logger.warning(
+            f"Test Suite {self.__name__} is deprecated and will be removed in the next release"
+        )
 
     def set_up(self):
         """
diff --git a/tests/TestSuite_unit_tests_crc.py b/tests/TestSuite_unit_tests_crc.py
index 33d33f7e..683360d5 100644
--- a/tests/TestSuite_unit_tests_crc.py
+++ b/tests/TestSuite_unit_tests_crc.py
@@ -30,6 +30,9 @@ class TestUnitTestsCrc(TestCase):
         Run at the start of each test suite.
         """
         self.cores = self.dut.get_core_list("all")
+        self.logger.warning(
+            f"Test Suite {self.__name__} is deprecated and will be removed in the next release"
+        )
 
     def set_up(self):
         """
diff --git a/tests/TestSuite_unit_tests_cryptodev_func.py b/tests/TestSuite_unit_tests_cryptodev_func.py
index 816109e8..9aff00ea 100644
--- a/tests/TestSuite_unit_tests_cryptodev_func.py
+++ b/tests/TestSuite_unit_tests_cryptodev_func.py
@@ -13,6 +13,9 @@ class UnitTestsCryptodev(TestCase):
     def set_up_all(self):
         self._app_path = self.dut.apps_name["test"]
         cc.bind_qat_device(self, "vfio-pci")
+        self.logger.warning(
+            f"Test Suite {self.__name__} is deprecated and will be removed in the next release"
+        )
 
     def set_up(self):
         pass
diff --git a/tests/TestSuite_unit_tests_dump.py b/tests/TestSuite_unit_tests_dump.py
index 1f00fc8a..da4caf25 100644
--- a/tests/TestSuite_unit_tests_dump.py
+++ b/tests/TestSuite_unit_tests_dump.py
@@ -39,6 +39,9 @@ class TestUnitTestsDump(TestCase):
         self.verify(len(self.dut_ports) >= 1, "Insufficient ports for testing")
         self.start_test_time = 60
         self.run_cmd_time = 60
+        self.logger.warning(
+            f"Test Suite {self.__name__} is deprecated and will be removed in the next release"
+        )
 
     def set_up(self):
         """
diff --git a/tests/TestSuite_unit_tests_eal.py b/tests/TestSuite_unit_tests_eal.py
index 9cac6197..431fda01 100644
--- a/tests/TestSuite_unit_tests_eal.py
+++ b/tests/TestSuite_unit_tests_eal.py
@@ -38,6 +38,9 @@ class TestUnitTestsEal(TestCase):
         eal_params = self.dut.create_eal_parameters(cores=default_cores)
         app_name = self.dut.apps_name["test"]
         self.test_app_cmdline = app_name + eal_params
+        self.logger.warning(
+            f"Test Suite {self.__name__} is deprecated and will be removed in the next release"
+        )
 
     def set_up(self):
         """
diff --git a/tests/TestSuite_unit_tests_event_timer.py b/tests/TestSuite_unit_tests_event_timer.py
index f48d8e4e..01b64099 100644
--- a/tests/TestSuite_unit_tests_event_timer.py
+++ b/tests/TestSuite_unit_tests_event_timer.py
@@ -39,6 +39,10 @@ class TestUnitTestEventTimer(TestCase):
             self.eventdev_timer_device_bus_id = "0000:0a:01.0"
             self.dut.bind_eventdev_port(port_to_bind=self.eventdev_timer_device_bus_id)
 
+        self.logger.warning(
+            f"Test Suite {self.__name__} is deprecated and will be removed in the next release"
+        )
+
     def set_up(self):
         """
         Run before each test case.
diff --git a/tests/TestSuite_unit_tests_kni.py b/tests/TestSuite_unit_tests_kni.py
index 65515c21..2b4b44aa 100644
--- a/tests/TestSuite_unit_tests_kni.py
+++ b/tests/TestSuite_unit_tests_kni.py
@@ -37,6 +37,10 @@ class TestUnitTestsKni(TestCase):
 
         self.verify("Error" not in out, "Error loading KNI module: " + out)
 
+        self.logger.warning(
+            f"Test Suite {self.__name__} is deprecated and will be removed in the next release"
+        )
+
     #
     #
     #
diff --git a/tests/TestSuite_unit_tests_loopback.py b/tests/TestSuite_unit_tests_loopback.py
index f596e242..368dfbeb 100644
--- a/tests/TestSuite_unit_tests_loopback.py
+++ b/tests/TestSuite_unit_tests_loopback.py
@@ -55,6 +55,9 @@ class TestUnitTestsLoopback(TestCase):
         self.tmp_path = "/tmp/test_pmd_perf.c"
         self.dut.send_expect("rm -fr %s" % self.tmp_path, "# ")
         self.dut.send_expect("cp app/test/test_pmd_perf.c %s" % self.tmp_path, "# ")
+        self.logger.warning(
+            f"Test Suite {self.__name__} is deprecated and will be removed in the next release"
+        )
 
     def set_up(self):
         """
diff --git a/tests/TestSuite_unit_tests_lpm.py b/tests/TestSuite_unit_tests_lpm.py
index f3ad6355..711d705f 100644
--- a/tests/TestSuite_unit_tests_lpm.py
+++ b/tests/TestSuite_unit_tests_lpm.py
@@ -34,6 +34,9 @@ class TestUnitTestsLpmIpv6(TestCase):
         Qos Prerequisites
         """
         self.cores = self.dut.get_core_list("all")
+        self.logger.warning(
+            f"Test Suite {self.__name__} is deprecated and will be removed in the next release"
+        )
 
     def set_up(self):
         """
diff --git a/tests/TestSuite_unit_tests_mbuf.py b/tests/TestSuite_unit_tests_mbuf.py
index c7962abd..c6b8c0ad 100644
--- a/tests/TestSuite_unit_tests_mbuf.py
+++ b/tests/TestSuite_unit_tests_mbuf.py
@@ -31,6 +31,9 @@ class TestUnitTestsMbuf(TestCase):
         Run at the start of each test suite.
         """
         self.cores = self.dut.get_core_list("all")
+        self.logger.warning(
+            f"Test Suite {self.__name__} is deprecated and will be removed in the next release"
+        )
 
     def set_up(self):
         """
diff --git a/tests/TestSuite_unit_tests_mempool.py b/tests/TestSuite_unit_tests_mempool.py
index 25cefecd..a7f2d49d 100644
--- a/tests/TestSuite_unit_tests_mempool.py
+++ b/tests/TestSuite_unit_tests_mempool.py
@@ -31,6 +31,9 @@ class TestUnitTestsMempool(TestCase):
         Run at the start of each test suite.
         """
         self.cores = self.dut.get_core_list("all")
+        self.logger.warning(
+            f"Test Suite {self.__name__} is deprecated and will be removed in the next release"
+        )
 
     def set_up(self):
         """
diff --git a/tests/TestSuite_unit_tests_pmd_perf.py b/tests/TestSuite_unit_tests_pmd_perf.py
index c1c35d27..d043bc2c 100644
--- a/tests/TestSuite_unit_tests_pmd_perf.py
+++ b/tests/TestSuite_unit_tests_pmd_perf.py
@@ -44,6 +44,9 @@ class TestUnitTestsPmdPerf(TestCase):
         self.anchors = ["rxtx", "rxonly", "txonly"]
         socket_id = self.dut.ports_info[0]["port"].socket
         self.cores = self.dut.get_core_list(config="1S/4C/1T", socket=socket_id)
+        self.logger.warning(
+            f"Test Suite {self.__name__} is deprecated and will be removed in the next release"
+        )
 
     def set_up(self):
         """
diff --git a/tests/TestSuite_unit_tests_power.py b/tests/TestSuite_unit_tests_power.py
index a3214964..9bd2ce67 100644
--- a/tests/TestSuite_unit_tests_power.py
+++ b/tests/TestSuite_unit_tests_power.py
@@ -32,6 +32,9 @@ class TestUnitTestsPower(TestCase):
         Power Prerequisites
         """
         self.cores = self.dut.get_core_list("all")
+        self.logger.warning(
+            f"Test Suite {self.__name__} is deprecated and will be removed in the next release"
+        )
 
     def set_up(self):
         """
diff --git a/tests/TestSuite_unit_tests_qos.py b/tests/TestSuite_unit_tests_qos.py
index 2938d7c9..20459622 100644
--- a/tests/TestSuite_unit_tests_qos.py
+++ b/tests/TestSuite_unit_tests_qos.py
@@ -33,6 +33,9 @@ class TestUnitTestsQos(TestCase):
         QoS Prerequisites
         """
         self.cores = self.dut.get_core_list("all")
+        self.logger.warning(
+            f"Test Suite {self.__name__} is deprecated and will be removed in the next release"
+        )
 
     def set_up(self):
         """
diff --git a/tests/TestSuite_unit_tests_ring.py b/tests/TestSuite_unit_tests_ring.py
index 91c5788c..924778a0 100644
--- a/tests/TestSuite_unit_tests_ring.py
+++ b/tests/TestSuite_unit_tests_ring.py
@@ -31,6 +31,9 @@ class TestUnitTestsRing(TestCase):
         Run at the start of each test suite.
         """
         self.cores = self.dut.get_core_list("all")
+        self.logger.warning(
+            f"Test Suite {self.__name__} is deprecated and will be removed in the next release"
+        )
 
     def set_up(self):
         """
diff --git a/tests/TestSuite_unit_tests_ringpmd.py b/tests/TestSuite_unit_tests_ringpmd.py
index 4f4442b9..137c6f37 100644
--- a/tests/TestSuite_unit_tests_ringpmd.py
+++ b/tests/TestSuite_unit_tests_ringpmd.py
@@ -32,6 +32,9 @@ class TestUnitTestsRingPmd(TestCase):
         Nothing to do here.
         """
         self.cores = self.dut.get_core_list("all")
+        self.logger.warning(
+            f"Test Suite {self.__name__} is deprecated and will be removed in the next release"
+        )
 
     def set_up(self):
         """
diff --git a/tests/TestSuite_unit_tests_timer.py b/tests/TestSuite_unit_tests_timer.py
index 82d82fa2..7767dd89 100644
--- a/tests/TestSuite_unit_tests_timer.py
+++ b/tests/TestSuite_unit_tests_timer.py
@@ -38,6 +38,9 @@ class TestUnitTestsTimer(TestCase):
         self.this_timeout = 60
         if len(self.cores) > 16:
             self.this_timeout = self.this_timeout * len(self.cores) / 16
+        self.logger.warning(
+            f"Test Suite {self.__name__} is deprecated and will be removed in the next release"
+        )
 
     def set_up(self):
         """